# $Revision: 1.87 $, $Date: 2011/05/27 12:03:30 $
Summary:	Asymptote is a powerful descriptive vector graphics language for technical drawing
Summary(hu.UTF-8):	Asymptote egy leíró vektorgrafikus nyelv technikai rajzokhoz
Summary(pl.UTF-8):	Język opisu grafiki wektorowej do rysunków technicznych
Name:		asymptote
Version:	2.10
Release:	1
License:	GPL v3
Group:		Applications/Science
Source0:	http://downloads.sourceforge.net/asymptote/%{name}-%{version}.src.tgz
# Source0-md5:	774067a30e54308a061aed20098c01d9
Patch0:		%{name}-memrchr.patch
URL:		http://asymptote.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	fftw3-devel
BuildRequires:	gc-devel >= 7.0
BuildRequires:	ghostscript
BuildRequires:	gsl-devel >= 1.7
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	python
BuildRequires:	readline-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	texinfo-texi2dvi
BuildRequires:	texlive-dvips
BuildRequires:	texlive-fonts-ams
BuildRequires:	texlive-format-pdflatex
BuildRequires:	texlive-latex
#BuildRequires:	texlive-tex-babel
BuildRequires:	zlib-devel
Suggests:	ImageMagick-coder-dot
Suggests:	ImageMagick-coder-jpeg
Suggests:	ImageMagick-coder-png
# e.g. "label" command needs latex
Suggests:	texlive-latex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define texmfdist %{_datadir}/texmf-dist

%description
Asymptote is a powerful descriptive vector graphics language for
technical drawing, inspired by MetaPost but with an improved C++-like
syntax. Asymptote provides for figures the same high-quality level of
typesetting that LaTeX does for scientific text.

%description -l hu.UTF-8
Asymptote egy leíró vektorgrafikus nyelv technikai rajzokhoz, hasonló
a MetaPost-hoz, de kibővítve C++-szerű szintaxissal. Asymptote még
képes olyan szintű szövegszedésre is, amelyre a LaTeX képes a
tudományos szöveggel.

%description -l pl.UTF-8
Asymptote jest językiem opisu grafiki wektorowej dla rysunków
technicznych. Język ten jest inspirowany językiem MetaPost, ale
posiada bogatszą składnię w stylu C++.

%package gui
Summary:	GUI for asymptote
Summary(hu.UTF-8):	GUI asymptote-hoz
Summary(pl.UTF-8):	Graficzny interfejs do asymptote
Group:		Applications/Science
Requires:	%{name} = %{version}-%{release}
Requires:	python-tkinter

%description gui
GUI for asymptote.

%description gui -l hu.UTF-8
GUI asymptote-hoz.

%description gui -l hu.UTF-8 -l pl.UTF-8
Graficzny interfejs do asymptote.

%package doc
Summary:	Asymptote documentation
Summary(hu.UTF-8):	Asymptote dokumentáció
Summary(pl.UTF-8):	Dokumentacja do Asymptote
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
Asymptote documentation.

%description doc -l hu.UTF-8
Asymptote dokumentációja.

%description doc -l pl.UTF-8
Dokumentacja do Asymptote.

%package examples
Summary:	Asymptote examples
Summary(hu.UTF-8):	Asymptote példák
Summary(pl.UTF-8):	Przykłady do Asymptote
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Asymptote examples.

%description examples -l hu.UTF-8
Asymptote példák.

%description examples -l pl.UTF-8
Przykładowe pliki dla asymptote.

%package latex
Summary:	LaTeX styles
Summary(hu.UTF-8):	LaTeX stílusok
Summary(pl.UTF-8):	Style LaTeXa
Group:		Applications/Publishing/TeX
Requires(post,postun):	%{_bindir}/texhash

%description latex
LaTeX styles.

%description latex -l hu.UTF-8
LaTeX stílusok.

%description latex -l pl.UTF-8
Style LaTeXa.

%package context
Summary:	ConTeXt color macros
Group:		Applications/Publishing/TeX
Requires(post,postun):	%{_bindir}/texhash
Requires:	texlive-context

%description context
ConTeXt color macros.

%package -n vim-syntax-asymptote
Summary:	Vim syntax file to asy-files
Summary(hu.UTF-8):	Vim syntax fájl asy fájlokhoz
Group:		Applications/Editors/Vim

%description -n vim-syntax-asymptote
Vim syntax file to asy files.

%description -n vim-syntax-asymptote -l hu.UTF-8
Vim syntax fájl asy fájlokhoz.

%prep
%setup -q
%patch0 -p1

%build
%{__autoheader}
%{__autoconf}
%configure \
	CPPFLAGS=-I/usr/include/gc \
	--disable-static \
	--enable-gc=%{_includedir}/gc \
	--with-docdir=%{_docdir}/%{name}-doc

%ifarch ppc
%{__make} asy
%{__make} faq
%else
%{__make} all
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ifarch ppc
%{__make} install-asy \
%else
%{__make} install \
%endif
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
mv $RPM_BUILD_ROOT%{_docdir}/%{name}-doc/examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
%{__mv} $RPM_BUILD_ROOT%{_datadir}/{asymptote/asy.vim,vim/vimfiles/syntax}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/texmf{,-dist}
%{__mv} $RPM_BUILD_ROOT%{texmfdist}/tex/context/{third,}/asymptote
%{__rm} -rf $RPM_BUILD_ROOT%{texmfdist}/tex/context/third

%ifnarch ppc
%{__mv} $RPM_BUILD_ROOT%{_infodir}/{asymptote/*,}
%{__rm} -rf $RPM_BUILD_ROOT%{_infodir}/asymptote
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post latex
[ ! -x %{_bindir}/texhash ] || %{_bindir}/texhash 1>&2

%postun latex
[ ! -x %{_bindir}/texhash ] || %{_bindir}/texhash 1>&2

%files
%defattr(644,root,root,755)
%doc README TODO BUGS
%ifnarch ppc
%{_infodir}/*.info*
%endif
%attr(755,root,root) %{_bindir}/asy
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/GUI
%ifnarch ppc
%{_mandir}/man1/asy.1*
%endif

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xasy
%dir %{_datadir}/%{name}/GUI
%attr(755,root,root) %{_datadir}/%{name}/GUI/xasy.py
%{_datadir}/%{name}/GUI/[!x]*.py
%ifnarch ppc
%{_mandir}/man1/xasy.1*
%endif

%ifarch ppc
# What should we do?
%else
%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files latex
%defattr(644,root,root,755)
%{texmfdist}/tex/latex/asymptote

%files context
%defattr(644,root,root,755)
# should be in texlive.spec
%dir %{texmfdist}/tex/context
%{texmfdist}/tex/context/asymptote

%files -n vim-syntax-asymptote
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/syntax

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: asymptote.spec,v $
Revision 1.87  2011/05/27 12:03:30  uzsolt
- 2.10

Revision 1.86  2011/02/02 15:11:04  sparky
- do not assume compressed info files

Revision 1.85  2010/11/08 07:29:28  uzsolt
- 2.08
- texlive-format-pdflatex BR
- drop opengl BRs

Revision 1.84  2010/10/31 10:45:19  uzsolt
- 2.07

Revision 1.83  2010/10/25 06:51:06  uzsolt
- 2.06

Revision 1.82  2010/10/18 22:52:30  uzsolt
- 2.05

Revision 1.81  2010/08/21 09:09:17  uzsolt
- 2.04

Revision 1.80  2010/08/13 07:46:19  uzsolt
- 2.03

Revision 1.79  2010/07/12 03:55:37  uzsolt
- 2.02

Revision 1.78  2010/07/06 07:10:34  uzsolt
- 2.01

Revision 1.77  2010/06/28 06:14:58  uzsolt
- 2.00

Revision 1.76  2010/06/22 05:34:27  uzsolt
- 1.99

Revision 1.75  2010/06/14 12:33:09  uzsolt
- 1.98
- adapter (sf source0 changed)

Revision 1.74  2010/06/14 04:20:46  uzsolt
- 1.97

Revision 1.73  2010/06/11 09:48:14  uzsolt
- 1.96

Revision 1.72  2010/06/07 06:58:54  uzsolt
- 1.95
- rel 1

Revision 1.71  2010/05/05 08:19:11  uzsolt
- 1.94

Revision 1.70  2010/04/25 15:41:56  uzsolt
- suggests texlive-latex
- rel 2

Revision 1.69  2010/04/18 15:14:33  uzsolt
- 1.93

Revision 1.68  2010/04/12 14:47:49  uzsolt
- wrong changelog: update to 1.92

Revision 1.67  2010/04/12 14:46:47  uzsolt
- 1.92

Revision 1.66  2010/03/20 00:45:25  uzsolt
- 1.91

Revision 1.65  2010/02/24 20:13:00  sparky
- freeglut not required, glut 3.7 is enough

Revision 1.64  2010/02/24 14:05:36  sparky
- BR: OpenGL-GLU-devel, OpenGL-glut-devel >= 4.0 (freeglut), fftw3-devel,
  libstdc++-devel, zlib-devel

Revision 1.63  2009/11/28 16:09:47  uzsolt
- 1.90

Revision 1.62  2009/11/09 16:29:53  uzsolt
- 1.88
- suggests ImageMagick-coders

Revision 1.61  2009/11/01 17:46:58  uzsolt
- R python-tkinter

Revision 1.60  2009/10/02 13:53:37  uzsolt
- up to 1.88

Revision 1.59  2009/09/28 21:38:44  uzsolt
- up to 1.87

Revision 1.58  2009/09/07 14:30:40  uzsolt
- 1.86

Revision 1.57  2009/08/22 14:15:20  uzsolt
- 1.85

Revision 1.56  2009/08/20 09:16:51  uzsolt
- 1.84

Revision 1.55  2009/08/15 09:52:40  uzsolt
- 1.83
- context subpackage fix
- texmfdist macro to texmf-dist directory

Revision 1.54  2009/07/20 11:42:15  uzsolt
- BR ghostscript

Revision 1.53  2009/07/20 11:21:15  uzsolt
- 1.82

Revision 1.52  2009/07/14 08:48:29  uzsolt
- BR texlive-fonts-ams

Revision 1.51  2009/07/14 08:20:00  uzsolt
- 1.81

Revision 1.50  2009/07/07 19:30:22  uzsolt
- rel 1
- stbr please

Revision 1.49  2009/07/07 18:06:06  uzsolt
- disable xasy manual on ppc arch

Revision 1.48  2009/07/07 17:22:55  uzsolt
- more ppc

Revision 1.47  2009/07/07 15:26:54  uzsolt
- install-asy instead of install when the arch is ppc

Revision 1.46  2009/07/07 14:54:54  uzsolt
- 1.80
- disable generate of doc on ppc arch
- rel 0.9 (because of ppc)

Revision 1.45  2009/07/03 18:08:57  uzsolt
- remove unneeded symlinking

Revision 1.44  2009/07/03 15:16:07  uzsolt
- memrchr patch

Revision 1.43  2009/07/02 14:36:44  uzsolt
- 1.79
- remove patch0

Revision 1.42  2009/06/27 11:52:20  uzsolt
- 1.78

Revision 1.41  2009/06/19 18:21:08  uzsolt
- 1.77
- info files
- doc/png/Makefile.in patch

Revision 1.40  2009/06/07 15:55:54  uzsolt
- 1.76
- cleaning

Revision 1.39  2009/06/01 11:31:22  uzsolt
- 1.75
- context subpackage
- move all TeX-specific things to /usr/share/texmf-dist

Revision 1.38  2009/05/28 11:33:42  uzsolt
- 1.74

Revision 1.37  2009/05/15 13:31:55  uzsolt
- up to 1.72
- rel 1

Revision 1.36  2009/05/01 10:58:19  uzsolt
- vim-syntax-asymptote package
- rel 2

Revision 1.35  2009/04/13 15:36:30  uzsolt
- 1.70

Revision 1.34  2009/04/06 15:52:45  uzsolt
- 1.69

Revision 1.33  2009/03/30 21:13:41  qboosh
- fixed glob

Revision 1.32  2009/03/30 21:03:06  qboosh
- pl for new packages, consistent order

Revision 1.31  2009/03/30 20:07:36  uzsolt
- switch to texlive
- rel 2

Revision 1.30  2009/03/25 16:43:30  uzsolt
- commented out %{__mv}

Revision 1.29  2009/03/23 19:58:07  uzsolt
- 1.68

Revision 1.28  2009/03/19 15:15:30  uzsolt
- 1.67

Revision 1.27  2009/03/01 09:39:54  uzsolt
- asymptote-latex post and postun
- rel 3

Revision 1.26  2009/02/28 18:57:05  uzsolt
- latex and gui subpackages
- fix xasy.py attr

Revision 1.25  2009/02/27 15:47:40  uzsolt
- up to 1.66

Revision 1.24  2009/02/09 20:52:01  uzsolt
- 1.62

Revision 1.23  2009/02/05 15:15:53  uzsolt
- 1.61

Revision 1.22  2009/01/27 14:04:07  uzsolt
- up to 1.60

Revision 1.21  2009/01/19 07:27:45  uzsolt
- hungarizing

Revision 1.20  2009/01/19 07:25:33  uzsolt
- up to 1.59

Revision 1.19  2009/01/12 16:45:51  uzsolt
- 1.58

Revision 1.18  2008/12/22 22:59:43  uzsolt
- up to 1.57

Revision 1.17  2008/12/01 17:09:54  uzsolt
- up to 1.54

Revision 1.16  2008/11/29 14:36:42  uzsolt
- linking texinfo.tex

Revision 1.15  2008/11/28 17:09:48  uzsolt
- up to 1.53

Revision 1.14  2008/11/25 16:55:36  uzsolt
- up to 1.52

Revision 1.13  2008/11/11 19:00:28  uzsolt
- up to 1.51

Revision 1.12  2008/11/03 17:12:49  uzsolt
- up to 1.49

Revision 1.9  2008/10/19 07:09:21  uzsolt
- up to 1.46

Revision 1.8  2008/10/18 17:34:32  uzsolt
- up to 1.45

Revision 1.7  2008/10/06 16:48:50  uzsolt
- up to 1.44

Revision 1.6  2008/08/17 14:42:28  qboosh
- unified, remaining pl

Revision 1.5  2008/08/10 00:51:25  pawelz
- typo

Revision 1.4  2008/08/10 00:50:41  pawelz
- GPL version

Revision 1.3  2008/08/10 00:42:48  pawelz
- %build and %install cleanup
- use auto{conf,header} to regenerate configure

Revision 1.2  2008/08/09 16:00:26  pawelz
- pl %desciption and Summary

Revision 1.1  2008/08/09 15:47:36  pawelz
- initital PLD release
- thx Zsolt Udvari: udvzsolt (at) gmail (dot) com
